# Developer documentation for `uiblib.js`

`uiblib.js` is a utility library containing methods that support uibuilder. The methods it contains are not generic and will require references to Node-RED objects to be passed.

## Dependencies

* fs-extra
* tilib.js
* util

## Variables

None

## Functions/Methods

### inputHandler

### processClose

### getProps

### sendControl

### setNodeStatus

### readGlobalSettings - DEPRECATED in v2.0

### updGlobalSettings  - DEPRECATED in v2.0

### addVendorPath - TO RENAME to addPackage

